[ОТВЕТИТЬ]
Опции темы
23.01.2009 08:56  
dmware
Обновление с 1.024.4 до 1.025...
Получаю вот то, что на картинке...
Текст ошибки в нижней части:
...
Таблица изменена.
1 строка обновлена.
1 строка обновлена.
declare i pls_integer
*
ошибка в строке 3:
ORA-00926: отсутствует ключевое слово VALUES

во как...
что же с этим делать?
перед обновлением перегружал сервер, пробовал сервис почтового модуля, который по умолчанию в авто, переводить в состояние "отключен", памятуя о предыдущем опыте обновления...
результат един для обеих попыток.
Миниатюры
Нажмите на изображение для увеличения
Название: moz-screenshot-3.jpg
Просмотров: 427
Размер:	42.8 Кб
ID:	452  
 
23.01.2009 09:46  
7fox7
1) По правильному обратиться в техподдержку С+.
2) Если на свой страх и риск, то выдернуть из этого обновления весь PL/SQL исправить в ручную отсутсвующий VALUES. И вручную наложить это скрипт на БД.
 
23.01.2009 09:47  
OlegON
Минуточку... А что за версия Oracle? Что-то очень знакомое...
 
23.01.2009 09:50  
dmware
Цитата:
Сообщение от OlegON
Минуточку... А что за версия Oracle? Что-то очень знакомое...
Версия 9i (9.2.80)
 
23.01.2009 09:53  
dmware
Цитата:
Сообщение от 7fox7
1) По правильному обратиться в техподдержку С+.
2) Если на свой страх и риск, то выдернуть из этого обновления весь PL/SQL исправить в ручную отсутсвующий VALUES. И вручную наложить это скрипт на БД.
техподдержку доблестная бухгалтерия оплатить вовремя не успела - оплатит только видать в феврале, а ждать уже не можно - часики тикают - поставили график, которому надо следовать:)
вручную - риск большой в том, что после такого обновления проявится что-либо еще более хитрое гораздо позже, когда работа уже начнется на реальных базах... и это будет очень плохо.
 
23.01.2009 09:54  
OlegON
Посмотри в ресурсах (я тут писал как), что идет за этой declare в пакете 24_5Тo24_6a, кстати, один из вариантов - обновляться поверсионно, посмотри, может тут писалось где-то по каким этапам. Например, до 1026.3 сначала надо обновляться до 1026.1, потом уже до 1026.3. А такое было и раньше. Раза два.
 
23.01.2009 09:58  
kadr
с какой машины запускается обновление? это та же что и сервер БД?
какой версией sqlplus пользуется генератор БД при обновлении, если не ошибаюсь в начале лога должно быть, типа sqlplus такой-то версии подконнектился к БД.
Если нет, то попробуй просто в командной строке запустить sqlplus и посмотреть версию, очень желательно чтобы версия была такая же как и у сервера
 
23.01.2009 09:59  
Arsen
да точно, сначала надо до 1.024.6 (челательно с сп2), а потом уже можешь сразу на 26.1.
 
23.01.2009 10:04  
dmware
Цитата:
Сообщение от OlegON
Посмотри в ресурсах (я тут писал как), что идет за этой declare в пакете 24_5Тo24_6a, кстати, один из вариантов - обновляться поверсионно, посмотри, может тут писалось где-то по каким этапам. Например, до 1026.3 сначала надо обновляться до 1026.1, потом уже до 1026.3. А такое было и раньше. Раза два.
так. по- порядку...
поищу про ресурсы...
техподдержка если, не ошибаюсь, еще перед новым годом, когда мы выясняли что да как с этим обновлениями, посоветовала вот такой путь:
1,024,4
1.025
1.026.1
1.026.3
эти дистрибы с фтп и скачали...
хорошо, попробуем получить соответствующие файлы и выполнить обновление последовательно...
вроде бы проглядел форум - да, были попытки обновления с 1.26 версии, с 1.25... но у нас старючая 1.024 и мы по-своему оригинальны:)
 
23.01.2009 10:06  
dmware
Цитата:
Сообщение от kadr
с какой машины запускается обновление? это та же что и сервер БД?
какой версией sqlplus пользуется генератор БД при обновлении, если не ошибаюсь в начале лога должно быть, типа sqlplus такой-то версии подконнектился к БД.
Если нет, то попробуй просто в командной строке запустить sqlplus и посмотреть версию, очень желательно чтобы версия была такая же как и у сервера
собственно одна единственная машинка - стенд. на ней и экспериментирую... она самая и сервер бд, с нее же обновление...
по-поводу sqlplus - сейчас посмотрю, проделав процесс заново, ибо откатился уже до ситуации с неудачным обновлением:)
вполне может быть, что и разные, потому что еще стоит клиент от восьмерки, с которого установлены оракл репортс для работы отчетов
 
 


Опции темы



Часовой пояс GMT +3, время: 21:03.

Все в прочитанное - Календарь - RSS - - Карта - Вверх 👫 Яндекс.Метрика
Форум сделан на основе vBulletin®
Copyright ©2000 - 2016, Jelsoft Enterprises Ltd. Перевод: zCarot и OlegON
В случае заимствования информации гипертекстовая индексируемая ссылка на Форум обязательна.